## haskell-polyparse 1.3

=== Makefile ===
SOFTWARE = polyparse
VERSION  = 1.3

CPP      = cpp -traditional
#CPP     = cpphs --text 	# useful e.g. on MacOS X

DIRS = Text Text/ParserCombinators Text/ParserCombinators/Poly

SRCS = \
	src/Text/ParserCombinators/HuttonMeijer.hs \
	src/Text/ParserCombinators/HuttonMeijerWallace.hs \
	src/Text/ParserCombinators/Poly.hs \
	src/Text/ParserCombinators/Poly/Base.hs \
	src/Text/ParserCombinators/Poly/Plain.hs \
	src/Text/ParserCombinators/Poly/Lazy.hs \
	src/Text/ParserCombinators/Poly/State.hs \
	src/Text/ParserCombinators/Poly/StateLazy.hs \
	src/Text/Parse.hs

TOOLSRCS = \

AUX =	configure Makefile src/Makefile src/pkg.conf docs/* examples \
	README LICENCE* COPYRIGHT script/echo.c Build.bat \
	*.cabal Setup.hs
ALLFILES = $(SRCS) $(TOOLSRCS) $(AUX)

# These files in CVS are NOT included in the src distribution.
NOT =	Makefile.inc Makefile.nhc98 src/Makefile.inc src/Makefile.nhc98

.PHONY: all libs tools haddock install register

COMPILERS = $(shell cat obj/compilers)
LIBS  = $(patsubst %, libs-%, $(COMPILERS))
TOOLS = $(patsubst %, tools-%, $(COMPILERS))
INSTALL = $(patsubst %, install-%, $(COMPILERS))
FILESONLY = $(patsubst %, install-filesonly-%, $(COMPILERS))

all: $(LIBS) $(TOOLS)
libs: $(LIBS)
tools: $(TOOLS)
install: $(INSTALL)
install-filesonly: $(FILESONLY)
libs-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) libs
libs-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 libs
libs-hugs:
	@echo "No building required for Hugs version of $(SOFTWARE) libs."
tools-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) toolset
tools-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 toolset
tools-hugs:
	@echo "No building required for Hugs version of $(SOFTWARE) tools."
install-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) install-ghc
install-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 install-nhc98
install-hugs:
	hugs-package src
	cd obj/hugs; $(MAKE) install-tools-hugs
install-filesonly-ghc:
	cd obj/ghc; $(MAKE) HC=$(shell cat obj/ghccmd) install-filesonly-ghc
install-filesonly-nhc98:
	cd obj/nhc98; $(MAKE) HC=nhc98 install-filesonly-nhc98
install-filesonly-hugs: install-hugs
haddock:
	mkdir -p docs/haddock
	for dir in $(DIRS); \
		do mkdir -p docs/haddock/src/$$dir; \
		done
	for file in $(SRCS); \
		do $(CPP) -D__NHC__ $$file >$$file.uncpp; \
		   HsColour -anchor -html $$file >docs/haddock/`dirname $$file`/`basename $$file .hs`.html; \
		done
	haddock --html --title=$(SOFTWARE) --odir=docs/haddock \
		--package=$(SOFTWARE) \
		--source-module="src/%{MODULE/.//}.html" \
		--source-entity="src/%{MODULE/.//}.html#%{NAME}" \
		$(patsubst %, %.uncpp, $(SRCS))
	rm -f $(patsubst %, %.uncpp, $(SRCS))

# packaging a distribution

srcDist: $(ALLFILES) haddock
	rm -f $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION).tar.gz
	mkdir $(SOFTWARE)-$(VERSION)
	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
	tar cf $(SOFTWARE)-$(VERSION).tar $(SOFTWARE)-$(VERSION)
	rm -rf $(SOFTWARE)-$(VERSION)
	gzip $(SOFTWARE)-$(VERSION).tar

zipDist: $(ALLFILES) haddock
	rm -f $(SOFTWARE)-$(VERSION).zip
	mkdir $(SOFTWARE)-$(VERSION)
	tar cf - $(ALLFILES) | ( cd $(SOFTWARE)-$(VERSION); tar xf - )
	zip -r $(SOFTWARE)-$(VERSION).zip $(SOFTWARE)-$(VERSION)
	rm -rf $(SOFTWARE)-$(VERSION)


# clear up rubbish
clean:
	rm -rf obj/ghc obj/nhc98 obj/hugs
	cd examples;    rm -f *.hi *.o
realclean: clean
	rm -rf obj

=== src/Makefile ===
SOFTWARE = polyparse
VERSION = 1.3

LIBSRCS = \
	Text/ParserCombinators/HuttonMeijer.hs \
	Text/ParserCombinators/HuttonMeijerWallace.hs \
	Text/ParserCombinators/Poly.hs \
        Text/ParserCombinators/Poly/Base.hs \
        Text/ParserCombinators/Poly/Plain.hs \
        Text/ParserCombinators/Poly/Lazy.hs \
        Text/ParserCombinators/Poly/State.hs \
        Text/ParserCombinators/Poly/StateLazy.hs \
	Text/Parse.hs \

LIBOBJS = $(patsubst %.hs, %.o, $(LIBSRCS))

OUT = $(shell cat ../out)
INSTALLDIR = $(shell cat ../prefix)
WHOLEARCHIVE = $(shell cat ../ldopt)

# The caller *must* set the HC variable.
COMPILER := $(findstring ghc, $(HC))
ifeq "$(COMPILER)" "ghc"
COMPILE  = $(HC) --make -cpp -i. $(shell cat ghcpkgs) \
		-package-name $(SOFTWARE)-$(VERSION) -DVERSION=$(VERSION)
RENAME   = mv $(OUT)
endif
COMPILER := $(findstring nhc98, $(HC))
ifeq "$(COMPILER)" "nhc98"
COMPILE  = hmake -hc=$(HC) -I. -K4M +CTS -H8M -CTS -package base \
		-DVERSION=$(VERSION)
RENAME   = echo Built
endif

.PHONY: all libs

all: libs toolset
toolset:
	#cp $(TOOLSET) $(INSTALLDIR)
libs: libHS$(SOFTWARE).a
install-filesonly-ghc: libs $(INSTALLDIR)
	cp libHS$(SOFTWARE).a `cat ghclibdir`
	-ranlib `cat ghclibdir`/libHS$(SOFTWARE).a	# ignore if fails on Linux
	-cp HS$(SOFTWARE).o `cat ghclibdir`		# file may not exist on MacOS X
	rm -rf `cat ghcincdir`/$(SOFTWARE)
	mkdir -p `cat ghcincdir`/$(SOFTWARE)
	cp interfaces.tar `cat ghcincdir`/$(SOFTWARE)
	cd `cat ghcincdir`/$(SOFTWARE); tar xf interfaces.tar; rm interfaces.tar
install-filesonly-nhc98: libs $(INSTALLDIR)
	cp libHS$(SOFTWARE).a `cat nhc98libdir`/`harch`
	-ranlib `cat nhc98libdir`/`harch`/libHS$(SOFTWARE).a
	rm -rf `cat nhc98incdir`/packages/$(SOFTWARE)
	mkdir -p `cat nhc98incdir`/packages/$(SOFTWARE)
	cp interfaces.tar `cat nhc98incdir`/packages/$(SOFTWARE)
	cd `cat nhc98incdir`/packages/$(SOFTWARE); tar xf interfaces.tar; rm interfaces.tar
install-ghc: install-filesonly-ghc $(SOFTWARE).pkgconf
	`cat ghcpkgcmd` --remove-package=$(SOFTWARE) || true	# ignore any error
	`cat ghcpkgcmd` --add-package <pkg.conf || \
	`cat ghcpkgcmd` register $(SOFTWARE).pkgconf
	@echo "you can safely ignore any errors from --add-package"
install-nhc98: install-filesonly-nhc98
install-tools-hugs: toolset-hugs $(INSTALLDIR)
	cp $(patsubst ../../%, %, ${TOOLSET}) $(INSTALLDIR)

# update the sources if necessary
$(LIBSRCS) $(TOOLSRCS) Makefile: %: ../../src/%
	cp $< $@
$(SOFTWARE).pkgconf: ../../$(SOFTWARE).cabal ghcincdirraw ghclibdirraw
	cp ../../$(SOFTWARE).cabal $@
	echo "import-dirs:	`cat ghcincdirraw`$(SOFTWARE)" >>$@
	echo "library-dirs:	`cat ghclibdirraw`" >>$@
	echo "depends:		base, haskell98" >>$@
	echo "hs-libraries:	HS$(SOFTWARE)" >>$@



# packaged library
libHS$(SOFTWARE).a: $(LIBSRCS)
	$(COMPILE) $(LIBSRCS)
	ar r libHS$(SOFTWARE).a $(LIBOBJS)
	-ld -r $(WHOLEARCHIVE) -o $(SOFTWARE).o libHS$(SOFTWARE).a	# for GHCi only
	tar cf interfaces.tar `find Text -name *.hi -print`

$(INSTALLDIR):
	if [ ! -d $(INSTALLDIR) ] ; then mkdir -p $(INSTALLDIR); fi

## haskell-polyparse 1.4

=== debian/changelog ===
haskell-polyparse (1.4-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 02 Nov 2011 12:33:23 -0400

haskell-polyparse (1.4-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Sun, 05 Jun 2011 18:28:47 +0100

haskell-polyparse (1.4-1) unstable; urgency=low

  [ Marco Túlio Gontijo e Silva ]
  * debian/source/format: Use 3.0 (quilt).

  [ Erik de Castro Lopo ]
  * New upstream.

  [ Joachim Breitner ]
  * Priority: extra

  [ Marco Silva ]
  * Use ghc instead of ghc6

 -- Iain Lane <laney@ubuntu.com>  Wed, 18 May 2011 11:22:21 +0100

haskell-polyparse (1.3-2) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/control :
    - Maintainer is now Debian Haskell Group.
    - Add Vcs-Darcs.
    - Standards version 3.8.3.
  
  [ Marco Túlio Gontijo e Silva ]
  * debian/watch: Use format that works for --download-current-version.
  * debian/watch: Add .tar.gz to downloaded filename.
  * debian/watch: Include package name in downloaded .tar.gz.
  * debian/watch: Remove spaces, since they're not allowed by uscan.
  * debian/control: Add field Provides: ${haskell:Provides} to -dev and
    -prof packages.
  * debian/control: Use Vcs-Browser: field.
  * debian/control: Remove dependency in hscolour, since it's now a
    dependency of haskell-devscripts.
  * debian/control: Use comma in the beginning of the line.
  * debian/control: Remove haddock from Build-Depends:, since it's now a
    Depends: of haskell-devscripts.
  * debian/control: Bump Standards-Version: to 3.8.4, no changes needed.
  * Use debian/compat 7.
  * debian/control: Use more sintetic link in Homepage:.

  [ Joachim Breitner ]
  * Bump haskell-devscripts dependency to 0.7

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Feb 2010 17:52:49 +0100

haskell-polyparse (1.3-1) unstable; urgency=low

  * Initial debian package. Closes: #533623.
  
 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 19 Jun 2009 20:42:04 +1000

=== debian/control ===
Source: haskell-polyparse
Priority: optional
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends:
 , debhelper (>= 7)
 , haskell-devscripts (>= 0.7)
 , cdbs
 , ghc (>= 6.10.3)
 , ghc-prof
 , ghc-doc
Standards-Version: 3.8.4
Homepage: http://hackage.haskell.org/package/polyparse
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-polyparse
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-polyparse

Package: libghc-polyparse-dev
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: A variety of alternative parser combinator libraries for Haskell
 .
 A variety of alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for better
 deserialisation of Haskell values from Strings.
 .
 This package contains the libraries compiled for GHC 6.

Package: libghc-polyparse-prof
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Profiling libraries for haskell-polyparse
 .
 A variety of alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for better
 deserialisation of Haskell values from Strings.
 .
 This package contains the profiling libraries compiled for GHC 6.

Package: libghc-polyparse-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Documentation for haskell-polyparse
 .
 A variety of alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for better
 deserialisation of Haskell values from Strings.

## haskell-polyparse 1.7

=== debian/changelog ===
haskell-polyparse (1.7-3build1) saucy; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 May 2013 10:18:43 +0100

haskell-polyparse (1.7-3) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:51:41 +0200

haskell-polyparse (1.7-2) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change

 -- Joachim Breitner <nomeata@debian.org>  Sun, 14 Oct 2012 12:01:46 +0200

haskell-polyparse (1.7-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Feb 2012 13:10:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,16 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends:
- , debhelper (>= 7)
- , haskell-devscripts (>= 0.7)
+ , debhelper (>= 9)
+ , haskell-devscripts (>= 0.8.13)
  , cdbs
  , ghc (>= 6.10.3)
  , ghc-prof
  , ghc-doc
-Standards-Version: 3.8.4
+ , libghc-text-dev
+ , libghc-text-prof
+Standards-Version: 3.9.4
+ , libghc-text-doc
 Homepage: http://hackage.haskell.org/package/polyparse
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-polyparse
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-polyparse
@@ -30,7 +33,7 @@
  Text.Parse is a proposed replacement for the standard Read class, for better
  deserialisation of Haskell values from Strings.
  .
- This package contains the libraries compiled for GHC 6.
+ This package contains the libraries compiled for GHC.
 
 Package: libghc-polyparse-prof
 Architecture: any
@@ -47,7 +50,7 @@
  Text.Parse is a proposed replacement for the standard Read class, for better
  deserialisation of Haskell values from Strings.
  .
- This package contains the profiling libraries compiled for GHC 6.
+ This package contains the profiling libraries compiled for GHC.
 
 Package: libghc-polyparse-doc
 Section: doc

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|polyparse-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/polyparse \
    ([\d\.]*\d)/

## haskell-polyparse 1.9

=== debian/changelog ===
haskell-polyparse (1.9-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Raúl Benencia ]
  * New upstream release
  * Bump standards version, no change
  * Remove empty paragraph from Description fields

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 11 Apr 2014 19:25:57 -0300

=== debian/control ===
Source: haskell-polyparse
Priority: optional
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Build-Depends:
 , debhelper (>= 9)
 , haskell-devscripts (>= 0.8.13)
 , cdbs
 , ghc (>= 6.10.3)
 , ghc-prof
 , ghc-doc
 , libghc-text-dev
 , libghc-text-prof
 , libghc-text-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/polyparse
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-polyparse
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-polyparse

Package: libghc-polyparse-dev
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: alternative parser combinator libraries for Haskell
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.
 .
 This package contains the libraries compiled for GHC.

Package: libghc-polyparse-prof
Architecture: any
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: profiling libraries for haskell-polyparse
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.
 .
 This package contains the profiling libraries compiled for GHC.

Package: libghc-polyparse-doc
Section: doc
Architecture: all
Depends: ${haskell:Depends}
 , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: documentation for haskell-polyparse
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.
 .
 This package contains documentation for polyparse library.

## haskell-polyparse 1.11

=== debian/changelog ===
haskell-polyparse (1.11-4build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 11 Jan 2016 15:09:48 +0000

haskell-polyparse (1.11-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:55 -0500

haskell-polyparse (1.11-3) experimental; urgency=medium

  * Bump standards-version to 3.9.6
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:28:27 +0200

haskell-polyparse (1.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:52:32 +0200

haskell-polyparse (1.11-1) experimental; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 06 Apr 2015 19:09:52 +0200

haskell-polyparse (1.9-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Use standard substvars

 -- Joachim Breitner <nomeata@debian.org>  Sun, 21 Dec 2014 13:24:52 +0100

=== debian/control ===
Source: haskell-polyparse
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Priority: optional
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 libghc-text-dev,
 libghc-text-prof,
Build-Depends-Indep: ghc-doc,
 libghc-text-doc,
Standards-Version: 3.9.6
Homepage: http://code.haskell.org/~malcolm/polyparse/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: alternative parser combinator libraries for Haskell
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.

Package: libghc-polyparse-dev
Architecture: any
Depends: ${haskell:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-polyparse-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-polyparse-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
 ${haskell:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

=== debian/watch ===
version=3
http://hackage.haskell.org/package/polyparse/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-polyparse 1.12

=== debian/changelog ===
haskell-polyparse (1.12-4) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:05:00 -0400

haskell-polyparse (1.12-3) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:35:31 -0400

haskell-polyparse (1.12-2) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sat, 15 Oct 2016 02:41:20 -0400

haskell-polyparse (1.12-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 30 May 2016 16:59:25 +0200

=== debian/control ===
Source: haskell-polyparse
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
Priority: optional
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-text-dev,
 libghc-text-prof,
Build-Depends-Indep: ghc-doc, libghc-text-doc
Standards-Version: 4.1.4
Homepage: http://code.haskell.org/~malcolm/polyparse/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-polyparse
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
X-Description: alternative parser combinator libraries for Haskell
 Alternative parser combinator libraries, including the original
 HuttonMeijer set. The Poly sets have features like good error reporting,
 arbitrary token type, running state, lazy parsing, and so on. Finally,
 Text.Parse is a proposed replacement for the standard Read class, for
 better deserialisation of Haskell values from Strings.

Package: libghc-polyparse-dev
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-polyparse-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-polyparse-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-polyparse 1.12.1

=== debian/changelog ===
haskell-polyparse (1.12.1-1build1) eoan; urgency=medium

  * Rebuild against new GHC abi.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 03 Aug 2019 13:04:42 +0200

haskell-polyparse (1.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 27 Jul 2019 22:14:56 -0400

haskell-polyparse (1.12-6) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:39 +0300

haskell-polyparse (1.12-5) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:17:54 +0300

## haskell-polyparse 1.13

=== debian/changelog ===
haskell-polyparse (1.13-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 31 May 2020 08:39:55 -0400

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,18 @@
 Uploaders: Erik de Castro Lopo <erikd@mega-nerd.com>
 Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-text-dev,
- libghc-text-prof,
-Build-Depends-Indep: ghc-doc, libghc-text-doc
+Build-Depends-Indep: ghc-doc
 Standards-Version: 4.1.4
 Homepage: http://code.haskell.org/~malcolm/polyparse/
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-polyparse
-Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-polyparse]
 X-Description: alternative parser combinator libraries for Haskell
  Alternative parser combinator libraries, including the original
  HuttonMeijer set. The Poly sets have features like good error reporting,

=== debian/watch ===
version=3
https://hackage.haskell.org/package/polyparse/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-polyparse 1.13.1

=== debian/changelog ===
haskell-polyparse (1.13.1-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Sun, 04 Jan 2026 19:59:47 -0500

haskell-polyparse (1.13-4) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Sep 2024 22:48:58 +0300

haskell-polyparse (1.13-3) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * Sourceful upload for GHC 9.4

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 31 Aug 2023 16:52:49 +0300

haskell-polyparse (1.13-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * Patch for newer dependencies (Closes: #1013784)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 03 Jul 2022 13:31:06 +0300

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
- ghc (>= 8.4.3),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
+ ghc (>= 9.6),
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.1.4
-Homepage: http://code.haskell.org/~malcolm/polyparse/
+Standards-Version: 4.7.0
+Homepage: https://hackage.haskell.org/package/polyparse
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-polyparse
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-polyparse]
 X-Description: alternative parser combinator libraries for Haskell
